[arch-commits] CVS update of extra/devel/cx_freeze (FreezePython.sh PKGBUILD)

Eric Belanger eric at archlinux.org
Sun Feb 17 01:00:23 UTC 2008


    Date: Saturday, February 16, 2008 @ 20:00:23
  Author: eric
    Path: /home/cvs-extra/extra/devel/cx_freeze

   Added: FreezePython.sh (1.1) PKGBUILD (1.1)

upgpkg: cx_freeze 3.0.3-4


-----------------+
 FreezePython.sh |    4 ++++
 PKGBUILD        |   28 ++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)


Index: extra/devel/cx_freeze/FreezePython.sh
diff -u /dev/null extra/devel/cx_freeze/FreezePython.sh:1.1
--- /dev/null	Sat Feb 16 20:00:23 2008
+++ extra/devel/cx_freeze/FreezePython.sh	Sat Feb 16 20:00:23 2008
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /usr/share/cx-freeze
+./FreezePython "$@"
Index: extra/devel/cx_freeze/PKGBUILD
diff -u /dev/null extra/devel/cx_freeze/PKGBUILD:1.1
--- /dev/null	Sat Feb 16 20:00:23 2008
+++ extra/devel/cx_freeze/PKGBUILD	Sat Feb 16 20:00:23 2008
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD,v 1.1 2008/02/17 01:00:23 eric Exp $
+# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: Roberto Alsina <ralsina at kde.org>
+
+pkgname=cx_freeze
+pkgver=3.0.3
+pkgrel=4
+pkgdesc="A set of utilities for freezing Python scripts into executables"
+arch=('i686' 'x86_64')
+url="http://www.python.net/crew/atuining/cx_Freeze/"
+license=('custom')
+depends=('python')
+source=(http://downloads.sourceforge.net/sourceforge/cx-freeze/cx_Freeze-$pkgver-source.tgz FreezePython.sh)
+md5sums=('8a8d99b020a7b650fb8f1f64f096c2cd' '5cc60d1644eba12a57c22cc1348a4afd')
+sha1sums=('63dc3afa5a05d31d616ce7441efb5cae3df574b3' '4c581fafbbdf63f136ffdf2da5e2ad04525647cb')
+
+build() {
+  cd $startdir/src/cx_Freeze-$pkgver
+  python MakeFrozenBases.py
+  python FreezePython.py     --no-copy-deps FreezePython.py || return 1
+
+  install -d $startdir/pkg/usr/share/cx-freeze/{bases,initscripts}
+  install -m755 FreezePython $startdir/pkg/usr/share/cx-freeze/
+  install -m755 bases/* $startdir/pkg/usr/share/cx-freeze/bases
+  install -m644 initscripts/* $startdir/pkg/usr/share/cx-freeze/initscripts
+  install -D -m644 LICENSE.txt $startdir/pkg/usr/share/licenses/cx_freeze/COPYING
+  install -D -m755 ../FreezePython.sh $startdir/pkg/usr/bin/FreezePython
+}




More information about the arch-commits mailing list